Bug 1013789 - ibus-mozc must be locked down while screen is locked
ibus-mozc must be locked down while screen is locked
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 15:12 EDT by Yohei Yukawa
Modified: 2013-11-10 02:28 EST (History)
2 users (show)

See Also:
Fixed In Version: mozc-1.11.1522.102-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-19 05:06:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yohei Yukawa 2013-09-30 15:12:08 EDT
Description of problem:
Anyone can use ibus-mozc on the Gnome Shell's locked screen, meaning that an arbitrary person is able to do the following things while you are away from your desk.
- See your private information as conversion candidates that come from your user dictionary entry and/or input history.
- Update your input history.
- Change config settings via "Command" feature.

Version-Release number of selected component (if applicable):
ibus-mozc.x86_64                       1.11.1522.102-2.fc21
ibus.x86_64                            1.5.4-1.fc21
ibus-gtk2.x86_64                       1.5.4-1.fc21
ibus-gtk3.x86_64                       1.5.4-1.fc21
gnome-shell.x86_64                     3.10.0.1-1.fc21

How reproducible:
100%

Steps to Reproduce:
1. Log in to Gnome
2. Add ibus-mozc into the active keyboard list
3. Lock screen from the Gnome Shell menu
4. Hit Hankaku/Zenkaku key to turn on ibus-mozc on the password field.

Actual results:
Anyone can use ibus-mozc that is running under the user's context after step 4.

Expected results:
ibus-mozc is disabled after step 4.

Additional info:
Here is a quick and initial patch for ibus-mozc 1.11.1522.102.
https://code.google.com/p/mozc/issues/detail?id=199#c1
Comment 1 Fedora Update System 2013-10-08 07:34:41 EDT
mozc-1.11.1522.102-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mozc-1.11.1522.102-3.fc19
Comment 2 Fedora Update System 2013-10-09 20:52:08 EDT
Package mozc-1.11.1522.102-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mozc-1.11.1522.102-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18600/mozc-1.11.1522.102-3.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-09 22:45:46 EDT
mozc-1.11.1522.102-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mozc-1.11.1522.102-3.fc20
Comment 4 Fedora Update System 2013-10-19 05:06:23 EDT
mozc-1.11.1522.102-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 02:28:56 EST
mozc-1.11.1522.102-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.